<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml" xmlns:epub="http://www.idpf.org/2007/ops">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.19: https://docutils.sourceforge.io/" />

    <title>Gestion de la documentation</title>
    <link rel="stylesheet" type="text/css" href="_static/pygments.css" />
    <link rel="stylesheet" type="text/css" href="_static/epub.css" /> 
  </head><body>

    <div class="document">
      <div class="documentwrapper">
          <div class="body" role="main">
            
  <section id="gestion-de-la-documentation">
<h1>Gestion de la documentation</h1>
<p>La documentation a été écrite à l’aide de <a class="reference external" href="https://www.sphinx-doc.org/en/master/">Sphinx</a><span class="link-target"> [https://www.sphinx-doc.org/en/master/]</span> .
Les pages de documentation sont écrites en <code class="code docutils literal notranslate"><span class="pre">rst</span></code> ( exemple de <a class="reference external" href="https://github.com/ralsina/rst-cheatsheet/blob/master/rst-cheatsheet.rst">cheatsheet</a><span class="link-target"> [https://github.com/ralsina/rst-cheatsheet/blob/master/rst-cheatsheet.rst]</span>).</p>
<section id="la-page-de-configuration">
<h2>La page de configuration</h2>
<p>La page de configuration <code class="code docutils literal notranslate"><span class="pre">conf.py</span></code> dans le dossier <code class="code docutils literal notranslate"><span class="pre">docs/source/</span></code>
(depuis la racine du projet) contient les informations importantes du projet,
les méthodes de rendu, …</p>
</section>
<section id="la-page-d-index">
<h2>La page d’index</h2>
<p>La page d’accueil de la documentation <code class="code docutils literal notranslate"><span class="pre">index.rst</span></code> se trouve dans le dossier <code class="code docutils literal notranslate"><span class="pre">docs/source/</span></code>.
Dans cette page, vous pourrez trouver le paramétrage de la table des matières et organiser vos pages.</p>
</section>
<section id="les-pages-de-documentation">
<h2>Les pages de documentation</h2>
<p>La documentation est composée de 4 parties :</p>
<ul class="simple">
<li><p>La vue générale du projet dont les fichiers commencent par le préfixe <code class="code docutils literal notranslate"><span class="pre">overview</span></code></p></li>
<li><p>Le manuel de l’utilisateur dont les fichiers commencent par le préfixe <code class="code docutils literal notranslate"><span class="pre">user</span></code></p></li>
<li><p>Le manuel de l’administrateur dont les fichiers commencent par le préfixe  <code class="code docutils literal notranslate"><span class="pre">admin</span></code></p></li>
<li><p>Le manuel du développeur dont les fichiers commencent par le préfixe  <code class="code docutils literal notranslate"><span class="pre">dev</span></code></p></li>
</ul>
<p>Chaque page dispose d’un fichier rst (dont le nom est utilisé dans la table des matières du fichier <code class="code docutils literal notranslate"><span class="pre">index.rst</span></code>).</p>
</section>
<section id="generer-les-pages-html">
<h2>Générer les pages HTML</h2>
<div class="admonition warning">
<p class="admonition-title">Avertissement</p>
<p>Docker doit être en train de tourner ainsi que l’application Metark</p>
</div>
<section id="pdf">
<h3>1 - PDF</h3>
<div class="highlight-bash notranslate"><div class="highlight"><pre><span></span>docker-compose<span class="w"> </span><span class="nb">exec</span><span class="w"> </span>backend<span class="w"> </span>bash<span class="w"> </span>-c<span class="w"> </span><span class="s2">&quot;cd /home/app/web/docs &amp;&amp; make latexpdf &amp;&amp; cp /home/app/web/docs/build/latex/metark.pdf /home/app/web/docs/source/_static/pdf&quot;</span>
</pre></div>
</div>
</section>
<section id="epub">
<h3>2 - EPUB</h3>
<div class="highlight-bash notranslate"><div class="highlight"><pre><span></span>docker-compose<span class="w"> </span><span class="nb">exec</span><span class="w"> </span>backend<span class="w"> </span>bash<span class="w"> </span>-c<span class="w"> </span><span class="s2">&quot;cd /home/app/web/docs &amp;&amp; make epub &amp;&amp; cp /home/app/web/docs/build/epub/metark.epub /home/app/web/docs/source/_static/epub&quot;</span>
</pre></div>
</div>
</section>
<section id="html">
<h3>3- HTML</h3>
<div class="highlight-bash notranslate"><div class="highlight"><pre><span></span>docker-compose<span class="w"> </span><span class="nb">exec</span><span class="w"> </span>web<span class="w"> </span>bash<span class="w"> </span>-c<span class="w"> </span><span class="s2">&quot;cd /home/app/web/docs &amp;&amp; make html&quot;</span>
</pre></div>
</div>
</section>
<section id="un-script">
<h3>4- Un script</h3>
<p>Ces commandes sont lancées à chaque construction de l’image Docker. Vous pouvez
si vous le souhaitez les lancer lors du développement pour observer les changements.
Nous avons aussi créé un script qui exécute ces 3 commandes :</p>
<div class="highlight-bash notranslate"><div class="highlight"><pre><span></span>bash<span class="w"> </span>generate_docs.sh
</pre></div>
</div>
</section>
</section>
</section>


            <div class="clearer"></div>
          </div>
      </div>
      <div class="clearer"></div>
    </div>
  </body>
</html>